package de.avatic.lcc.dto.configuration.material.update;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Objects;

public class MaterialUpdateDTO {

    @JsonProperty("part_number")
    private String partNumber;

    private String name;

    @JsonProperty("hs_code")
    private String hsCode;

    private boolean delete;

    public MaterialUpdateDTO() {
    }

    public String getPartNumber() {
        return partNumber;
    }

    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }
}
